package com.yeejoin.amos.boot.biz.common.annotation;

import com.baomidou.mybatisplus.annotation.TableField;

import java.lang.annotation.*;

@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
@Documented
public @interface TechnicalParameter {
    String key();

    String label();

    ParamType type();

    /**
     *  cb_data_dictionary表的type
     * @return 字典code
     */
    String dictCode() default "";

    String unit() default "";

    /**
     * 设备类别code
     * @return 设备类别
     */
    String[] equCategory() default {};


    /**
     * 设备品种code，设备品种配置空时代表，全部都有
     * @return 设备品种
     */
    String[] equDefine() default {};


    enum ParamType {
        STRING, INTEGER, FLOAT, BIG_DECIMAL, BOOLEAN, OBJECT, DATE
    }

}
